Skip to main content
POST
/
workspaces
/
{workspace_id}
/
agent
/
skills
/
{skill_id}
/
draft
/
uploads
Error
A valid request URL is required to generate request examples
{
  "upload_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "upload_url": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "bucket": "<string>",
  "key": "<string>",
  "method": "PUT",
  "headers": {}
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

skill_id
string<uuid>
required
workspace_id
string<uuid>
required

Body

application/json

Request body for creating a staged draft upload.

sha256
string
required
Required string length: 64
Pattern: ^[0-9a-fA-F]{64}$
size_bytes
integer
required
content_type
string
required
Required string length: 1 - 255

Response

Successful Response

Presigned upload session details for a draft file blob.

upload_id
string<uuid>
required
upload_url
string
required
expires_at
string<date-time>
required
bucket
string
required
key
string
required
method
string
default:PUT
Allowed value: "PUT"
headers
Headers · object